Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.swing
Interface ActionList

All Known Implementing Classes:
  DefaultActionList

    public interface ActionList

A simple list of actions

Author:
  Ole.Matzura

Method Summary
`void` | `addAction(javax.swing.Action action)`
`void` | `addActions(ActionList defaultActions)`
`void` | `addSeparator()`
`void` | `clear()`
`void` | `dispatchKeyEvent(java.awt.event.KeyEvent e)`
`javax.swing.Action` | `getActionAt(int index)`
`int` | `getActionCount()`
`javax.swing.Action` | `getDefaultAction()`
`java.lang.String` | `getLabel()`
`boolean` | `hasDefaultAction()`
`void` | `insertAction(javax.swing.Action action, int index)`
`void` | `insertSeparator(int index)`
`void` | `performDefaultAction(java.awt.event.ActionEvent event)`
`void` | `removeAction(int index)`
`void` | `setDefaultAction(javax.swing.Action action)`

Method Detail

### getActionCount

    int getActionCount()

### getActionAt

    javax.swing.Action getActionAt(int index)

### getDefaultAction

    javax.swing.Action getDefaultAction()

### hasDefaultAction

    boolean hasDefaultAction()

### performDefaultAction

    void performDefaultAction(java.awt.event.ActionEvent event)

### addAction

    void addAction(javax.swing.Action action)

### addSeparator

    void addSeparator()

### insertAction

    void insertAction(javax.swing.Action action,
                      int index)

### insertSeparator

    void insertSeparator(int index)

### getLabel

    java.lang.String getLabel()

### clear

    void clear()

### dispatchKeyEvent

    void dispatchKeyEvent(java.awt.event.KeyEvent e)

### addActions

    void addActions(ActionList defaultActions)

### setDefaultAction

    void setDefaultAction(javax.swing.Action action)

### removeAction

    void removeAction(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.